Subject: Re: bug#35665: 27.0.50; shell-mode over TRAMP can no longer kill processes with C-c C-c
From: Michael Albinus <[email-masked]>
To: Dima Kogan <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Jun 2019 08:59:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.1

Michael Albinus <[email-masked]> writes:

Hi Dima,

>> I just did a bit of debugging. C-c C-c invokes
>> (tramp-interrupt-process). This calls (tramp-send-command) to send a
>> "kill -2 PID" and then (tramp-accept-process-output) to wait for a new
>> shell prompt; I think. For whatever reason, the server is not getting
>> the "kill -2 PID" anymore, so the waiting for the prompt now hangs
>> forever. I'll poke at it some more, but it's likely somebody more
>> knowledgeable will be able to figure this out much faster than me.
>
> Looks to me like a duplicate of bug#35506, could you pls check? That bug
> report contains also patches, which might help you.

No News are Good News. I'm closing this bug, assuming it is solved in
the master branch. Feel free to reopen if there are still problems.

>> Thanks!

Best regards, Michael.